<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Menschderlader: menschderlader.models.webpage.WebpageDownloader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Menschderlader
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">A bot that mimics a human while downloading files</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemenschderlader.html">menschderlader</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1models.html">models</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1models_1_1webpage.html">webpage</a></li><li class="navelem"><a class="el" href="classmenschderlader_1_1models_1_1webpage_1_1_webpage_downloader.html">WebpageDownloader</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classmenschderlader_1_1models_1_1webpage_1_1_webpage_downloader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">menschderlader.models.webpage.WebpageDownloader Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab82d0e533d4b51a4b8f58b08e58b1f4d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1webpage_1_1_webpage_downloader.html#ab82d0e533d4b51a4b8f58b08e58b1f4d">__init__</a> (self, <a class="el" href="classmenschderlader_1_1models_1_1webpage_1_1_webpage_downloader.html#aabc030b5c0a04f40400ffa2dede5dd7b">url</a>, response)</td></tr>
<tr class="separator:ab82d0e533d4b51a4b8f58b08e58b1f4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78155d6bcad468a1cac4bc656e080e86"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1webpage_1_1_webpage_downloader.html#a78155d6bcad468a1cac4bc656e080e86">get_all_links</a> (self, just_from_root=False, full_path=False)</td></tr>
<tr class="separator:a78155d6bcad468a1cac4bc656e080e86"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aabc030b5c0a04f40400ffa2dede5dd7b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1webpage_1_1_webpage_downloader.html#aabc030b5c0a04f40400ffa2dede5dd7b">url</a></td></tr>
<tr class="separator:aabc030b5c0a04f40400ffa2dede5dd7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40e750660f1d8452299028a1d27af52b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1webpage_1_1_webpage_downloader.html#a40e750660f1d8452299028a1d27af52b">hostname</a></td></tr>
<tr class="separator:a40e750660f1d8452299028a1d27af52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa317a5b1993a9e9a9fcc9a3ae63ebb94"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1webpage_1_1_webpage_downloader.html#aa317a5b1993a9e9a9fcc9a3ae63ebb94">soup</a></td></tr>
<tr class="separator:aa317a5b1993a9e9a9fcc9a3ae63ebb94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Navigates through a webpage finding references and links </pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab82d0e533d4b51a4b8f58b08e58b1f4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab82d0e533d4b51a4b8f58b08e58b1f4d">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.webpage.WebpageDownloader.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>response</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a78155d6bcad468a1cac4bc656e080e86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78155d6bcad468a1cac4bc656e080e86">&#9670;&nbsp;</a></span>get_all_links()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.webpage.WebpageDownloader.get_all_links </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>just_from_root</em> = <code>False</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>full_path</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param just_from_root: bool
    True iff you want only those urls who are from the root path
:param full_path: bool
    True iff you want to fill relative path to get full path
:return: [] of str
    List of all valid links
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a40e750660f1d8452299028a1d27af52b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40e750660f1d8452299028a1d27af52b">&#9670;&nbsp;</a></span>hostname</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.webpage.WebpageDownloader.hostname</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa317a5b1993a9e9a9fcc9a3ae63ebb94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa317a5b1993a9e9a9fcc9a3ae63ebb94">&#9670;&nbsp;</a></span>soup</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.webpage.WebpageDownloader.soup</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aabc030b5c0a04f40400ffa2dede5dd7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabc030b5c0a04f40400ffa2dede5dd7b">&#9670;&nbsp;</a></span>url</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.webpage.WebpageDownloader.url</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/menschderlader/menschderlader/models/<a class="el" href="webpage_8py.html">webpage.py</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
